using Godot;
using System.Collections.Generic;
using System.Text;
using System;

namespace Rokojori
{  
  public partial class BitView
  {
    public void WriteInt( int value )
    {
      WriteBytes( BitConverter.GetBytes( value ) );
    }

    public int ReadInt()
    {
      return BitConverter.ToInt32( ReadByteArray( 4 ) );
    }
  }
}